# H245_VCCapability_aal1ViaGateway Class Reference

`#include <h245.h>`

Inheritance diagram for H245_VCCapability_aal1ViaGateway:

List of all members.

## Public Member Functions

| H245_VCCapability_aal1ViaGateway (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ArrayOf_Q2931Address | m_gatewayAddress
PASN_Boolean | m_nullClockRecovery
PASN_Boolean | m_srtsClockRecovery
PASN_Boolean | m_adaptiveClockRecovery
PASN_Boolean | m_nullErrorCorrection
PASN_Boolean | m_longInterleaver
PASN_Boolean | m_shortInterleaver
PASN_Boolean | m_errorCorrectionOnly
PASN_Boolean | m_structuredDataTransfer
PASN_Boolean | m_partiallyFilledCells

## Constructor & Destructor Documentation

H245_VCCapability_aal1ViaGateway::H245_VCCapability_aal1ViaGateway | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_VCCapability_aal1ViaGateway::GetDataLength | ( |  | ) | const

PBoolean H245_VCCapability_aal1ViaGateway::Decode | ( | PASN_Stream & | strm | ) |

void H245_VCCapability_aal1ViaGateway::Encode | ( | PASN_Stream & | strm | ) | const

void H245_VCCapability_aal1ViaGateway::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_VCCapability_aal1ViaGateway::Compare | ( | const PObject & | obj | ) | const

PObject* H245_VCCapability_aal1ViaGateway::Clone | ( |  | ) | const

## Member Data Documentation

H245_ArrayOf_Q2931Address H245_VCCapability_aal1ViaGateway::m_gatewayAddress

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_nullClockRecovery

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_srtsClockRecovery

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_adaptiveClockRecovery

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_nullErrorCorrection

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_longInterleaver

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_shortInterleaver

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_errorCorrectionOnly

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_structuredDataTransfer

PASN_Boolean H245_VCCapability_aal1ViaGateway::m_partiallyFilledCells

The documentation for this class was generated from the following file:

- h245.h